using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class RansomwareResponse : IMessage
    {
        [ProtoMember(1)]
        public string Status { get; set; }

        [ProtoMember(2)]
        public int FilesProcessed { get; set; }

        [ProtoMember(3)]
        public string Message { get; set; }

        [ProtoMember(4)]
        public bool IsComplete { get; set; }
    }
}
